import { Component, Input, ViewEncapsulation } from '@angular/core';
declare var GrapeCity: any;

@Component({
  selector: 'report-viewer',
  templateUrl: './report-viewer.component.html',
  styleUrls: ['./report-viewer.component.css'],
  encapsulation: ViewEncapsulation.None,
})
export class ReportViewerComponent {
  private viewer: any;

  @Input() set reportId(reportId: string) {
      if (!this.viewer) {
          this.viewer = new GrapeCity.ActiveReports.JSViewer.create({
              element: '#viewerPlaceHolder'
          });
          var self = this;
          var options = { filename: "CustomFileName" };
          var downloadReport = function (uri) {
              var newWin = null;
              // open uri in new window
              try {
                  newWin = window.open(uri);
              } catch (e) { }
              // if browser rejects opening new window, open uri in current window
              if (!newWin) {
                  window.location = uri;
              }
          };
          var pdfExportButton = {
              key: '$pdfExportButtonKey',
              iconCssClass: 'mdi mdi-file-pdf',
              text: "Pdf",
              enabled: true,
              action: function (item) {
                  console.log('Export to PDF function works here');
                  self.viewer.export('Pdf', null, true, options);
              },
              onUpdate: function (arg, item) {
                  console.log('Something in viewer was updated, check/update button state here');
              }
          };
          this.viewer.toolbar.desktop.addItem(pdfExportButton);
         // this.viewer.openReport("AcmeStore.rdlx");
      }

      this.viewer.openReport(reportId);
  }
}
